ru.bitel.bgbilling.plugins.helpdesk.common.service

## Interface HelpdeskParamService

-     public interface HelpdeskParamService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMM_EMAIL_ENABLE`
    `static java.lang.String` | `COMM_EMAIL_VALUE`
    `static java.lang.String` | `COMM_MODE`
    `static int` | `COMM_MODE_VALUE_EMAIL`
    `static int` | `COMM_MODE_VALUE_NO`
    `static int` | `COMM_MODE_VALUE_PHONE`
    `static java.lang.String` | `COMM_PHONE_ENABLE`
    `static java.lang.String` | `COMM_PHONE_VALUE`
    `static java.lang.String` | `COMM_VALUE`
    `static java.lang.String` | `PREFIX_DEFAULT`
    `static java.lang.String` | `PREFIX_TOPIC`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getContractCurrentMode(int contractId)`
    `java.util.List<DirectoryItem>` | `getModeList()`
    `MapHolder<java.lang.String,java.lang.String>` | `getParams(int contractId)`
    `void` | `setParams(int contractId, MapHolder<java.lang.String,java.lang.String> properties)`

- - ### Field Detail

    - #### PREFIX_TOPIC

          static final java.lang.String PREFIX_TOPIC

      See Also:
        Constant Field Values

    - #### PREFIX_DEFAULT

          static final java.lang.String PREFIX_DEFAULT

      See Also:
        Constant Field Values

    - #### COMM_VALUE

          static final java.lang.String COMM_VALUE

      See Also:
        Constant Field Values

    - #### COMM_PHONE_ENABLE

          static final java.lang.String COMM_PHONE_ENABLE

      See Also:
        Constant Field Values

    - #### COMM_EMAIL_ENABLE

          static final java.lang.String COMM_EMAIL_ENABLE

      See Also:
        Constant Field Values

    - #### COMM_PHONE_VALUE

          static final java.lang.String COMM_PHONE_VALUE

      See Also:
        Constant Field Values

    - #### COMM_EMAIL_VALUE

          static final java.lang.String COMM_EMAIL_VALUE

      See Also:
        Constant Field Values

    - #### COMM_MODE_VALUE_NO

          static final int COMM_MODE_VALUE_NO

      See Also:
        Constant Field Values

    - #### COMM_MODE_VALUE_PHONE

          static final int COMM_MODE_VALUE_PHONE

      See Also:
        Constant Field Values

    - #### COMM_MODE_VALUE_EMAIL

          static final int COMM_MODE_VALUE_EMAIL

      See Also:
        Constant Field Values

    - #### COMM_MODE

          static final java.lang.String COMM_MODE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getParams

          MapHolder<java.lang.String,java.lang.String> getParams(int contractId)
                                                          throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getContractCurrentMode

          java.lang.String getContractCurrentMode(int contractId)
                                           throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getModeList

          java.util.List<DirectoryItem> getModeList()
                                             throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### setParams

          void setParams(int contractId,
                         MapHolder<java.lang.String,java.lang.String> properties)
                  throws ru.bitel.bgbilling.common.BGException

      Throws:
        `ru.bitel.bgbilling.common.BGException`